local mirko = import "../../kube/mirko.libsonnet";
local kube = import "../../kube/kube.libsonnet";

{
    cfg:: {
        image: "registry.k0.hswaw.net/q3k/hackdoc:1606469587-42b21ecd84b713faf1c65c4ddceb74f559fe94bd",
        publicFQDN: error "public FQDN must be set",
    },

    component(cfg ,env):: mirko.Component(env, "hackdoc") {
        local hackdoc = self,
        cfg+: {
            image: cfg.image,
            container: hackdoc.GoContainer("main", "/devtools/hackdoc") {
                command+: [
                    "-depotview=depotview.devtools-prod.svc.cluster.local:4200",
                    "-hackdoc_url=https://%s" % [cfg.publicFQDN],
                    "-pub_listen=0.0.0.0:8080",
                ],
            },
            ports+: {
                publicHTTP: {
                    public: {
                        port: 8080,
                        dns: cfg.publicFQDN,
                    },
                },
            },
        },
    }
}
